# Uses of Class
javax.sound.sampled.BooleanControl.Type

Packages that use BooleanControl.Type
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of BooleanControl.Type in javax.sound.sampled

Fields in javax.sound.sampled declared as BooleanControl.Type
Modifier and Type
Field
Description
`static final BooleanControl.Type`
BooleanControl.Type.`APPLY_REVERB`
Represents a control for whether reverberation is applied to a line.
`static final BooleanControl.Type`
BooleanControl.Type.`MUTE`
Represents a control for the mute status of a line.
Constructors in javax.sound.sampled with parameters of type BooleanControl.Type
Modifier
Constructor
Description
`protected`
`BooleanControl(BooleanControl.Type type, boolean initialValue)`
Constructs a new boolean control object with the given parameters.
`protected`
`BooleanControl(BooleanControl.Type type, boolean initialValue, String trueStateLabel, String falseStateLabel)`
Constructs a new boolean control object with the given parameters.